#pragma once
#include <QVector>
#include <QObject>

#include "ros_bridge/include/GenericMessages.h"

namespace NemoMsgs = ROSBridge::GenericMessages::NemoMsgs;
typedef NemoMsgs::GenericProgress<int, QVector> ProgressBase;

class QNemoProgress : public ProgressBase, public QObject {
public:
    QNemoProgress(QObject *parent = nullptr);
    QNemoProgress(const QNemoProgress &other, QObject *parent = nullptr);



    virtual QNemoProgress *Clone() const override;

    virtual const QVector<int> &progress(void) const override;
    virtual       QVector<int> &progress(void)       override;

    signals:
    void progressChanged();
};


